Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

## Class NumberAndSumOfTransactions1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_02.NumberAndSumOfTransactions1

    public class NumberAndSumOfTransactions1
    extends java.lang.Object

Java class for NumberAndSumOfTransactions1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NumberAndSumOfTransactions1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NbOfNtries" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max15NumericText" minOccurs="0"/>
             <element name="Sum" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}DecimalNumber" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `nbOfNtries`
`protected java.math.BigDecimal` `sum`

### Constructor Summary

Constructors
`NumberAndSumOfTransactions1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getNbOfNtries()` Gets the value of the nbOfNtries property.
`java.math.BigDecimal` `getSum()` Gets the value of the sum property.
`void` `setNbOfNtries​(java.lang.String value)` Sets the value of the nbOfNtries property.
`void` `setSum​(java.math.BigDecimal value)` Sets the value of the sum property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nbOfNtries

    protected java.lang.String nbOfNtries

#### sum

    protected java.math.BigDecimal sum

### Constructor Detail

#### NumberAndSumOfTransactions1

    public NumberAndSumOfTransactions1()

### Method Detail

#### getNbOfNtries

    public java.lang.String getNbOfNtries()

Gets the value of the nbOfNtries property.

Returns:
  possible object is `String`

#### setNbOfNtries

    public void setNbOfNtries​(java.lang.String value)

Sets the value of the nbOfNtries property.

Parameters:
  `value` - allowed object is `String`

#### getSum

    public java.math.BigDecimal getSum()

Gets the value of the sum property.

Returns:
  possible object is `BigDecimal`

#### setSum

    public void setSum​(java.math.BigDecimal value)

Sets the value of the sum property.

Parameters:
  `value` - allowed object is `BigDecimal`